/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include <stdio.h>
#include <stdarg.h>
void print_message(char *format, ...) {
  char buffer[128];

  va_list ptr;
  va_start(ptr, format);
  vsnprintf(buffer, 128, format, ptr);
  printf("buffer= %s\n", buffer);
  va_end(ptr);
}

int main() {
  print_message("test vsnprintf(): %d %s %s\n", 10, "test1", "test2");
}


